﻿using UnityEngine;
using System.Collections;
using AnimPlugin;

public class Trail : MonoBehaviour
{
    void Update()
    {
        this.transform.Translate(Vector3.right * Time.deltaTime);
    }

    void Start()
    {
        this.StartCoroutine(
            A.Chain(
                A.Wait(10f),
                A.Feedback(() =>
                {
                    GameObject.Destroy(this.gameObject);
                })
            )
        );
    }
}
