﻿using UnityEngine;
using System.Collections;
using System;

public class AdditionalPossible : MonoBehaviour
{
		public int TooTired = 0;
		public string PossibleWhenObjectExists = string.Empty;
		public Character Male;
		public Character Female;



		public bool IsPossible (Quest q)
		{
				try {
						Male = GameObject.Find ("husband").GetComponent<Character> ();
				} catch (Exception) {
				}
				try {
						Female = GameObject.Find ("wife").GetComponent<Character> ();
				} catch (Exception) {
				}

				//objects
				if (!string.IsNullOrEmpty (this.PossibleWhenObjectExists)) {
						GameObject gg = GameObject.Find (PossibleWhenObjectExists);
						if (gg != null && gg.activeInHierarchy) {
								return true;
						} else {
								Toast.T ("Required object not found");
								return false;
						}
				}
				if (TooTired > 0) {
						if (q.Executing == QuestExecuter.MALE) {
								if (Male.relax > TooTired) {
										Toast.T ("Tobias is too tired for that");
										return false;
								} else {
										return true;
								}
						} else if (q.Executing == QuestExecuter.FEMALE) {
								if (Female.relax > TooTired) {
										Toast.T ("Dorothy is too tired for that");
										return false;
								} else {
										return true;
								}
						} else {
								if (Male.relax > TooTired) {
										Toast.T ("Dorothy is too tired for that");
										return false;
								} else {
										return true;
								}
								if (Female.relax > TooTired) {
										Toast.T ("Tobias is too tired for that");
										return false;
								} else {
										return true;
								}
						}
				}
				return true;
		}
}
