﻿using UnityEngine;
using System.Collections;

//singleton for game instance
public class Master
{
		#region Fields

		private static Master _instance = null;

		private Character _Male;
		private Character _Female;
		public static int _Cash = 0;
		public static int _TimeTillEnd = 0;

		#endregion

		#region Constructor

		private Master ()
		{
				ResetGame ();
		}

		#endregion

		#region Properties

		public static Master Instance {
				get {
						if (_instance == null) {
								_instance = new Master ();
						}   
						return _instance;
				}
		}

		public Character Obtain (QuestExecuter qe)
		{
				if (qe == QuestExecuter.MALE) {
						return Male;
				} else {
						return Female;
				}
		}

		public Character Male {
				get { return _Male; }
				set { this._Male = value; }
		}

		public Character Female {
				get { return this._Female; }
				set { this._Female = value; }
		}

		#endregion

		public bool IsAvailable (QuestExecuter executer)
		{
				return true;
		}

		private void ResetGame ()
		{
				// dirty as hell!
				_instance = new Master ();   
		}
}
