﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class Toast : MonoBehaviour
{

		public static Toast Instance;
		public Text t;

		void Awake ()
		{
				Instance = this;
				Hide ();
		}


		public static void T (string s)
		{
				Toast.Instance.ShowM (s);
		}

		public void ShowM (string s)
		{
				if (this.IsInvoking()) {
						this.CancelInvoke ();
				}
				this.gameObject.SetActive (true);
				this.t.text = s;
				this.Invoke ("Hide", 2f);
		}

		public void Hide ()
		{
				this.gameObject.SetActive (false);
		}

}
