﻿using UnityEngine;
using UnityEditor;
using System.Collections;

[CustomEditor(typeof(Quest))]
public class QuestEditor : Editor
{

    protected Quest quest;

    void OnEnable()
    {
        this.quest = (Quest)target;
    }

    public override void OnInspectorGUI()
    {
        base.DrawDefaultInspector();
        GUILayout.Label("MALE:");
        quest.PropHisRage =
            EditorGUILayout.IntField("_Rage: ", quest.PropHisRage);
        quest.PropHisTire =
            EditorGUILayout.IntField("_Tire: ", quest.PropHisTire);
        GUILayout.Label("FEMALE:");
        quest.PropHerRage =
            EditorGUILayout.IntField("_Rage: ", quest.PropHerRage);
        quest.PropHerTire =
            EditorGUILayout.IntField("_Tire: ", quest.PropHerTire);
        GUILayout.Label("EXECUTOR:");
        quest.PropExecRage =
            EditorGUILayout.IntField("_Rage: ", quest.PropExecRage);
        quest.PropExecTire =
            EditorGUILayout.IntField("_Tire: ", quest.PropExecTire);
        GUILayout.Label("OTHER:");
        quest.PropOtherRage =
            EditorGUILayout.IntField("_Rage: ", quest.PropOtherRage);
        quest.PropOtherTire =
            EditorGUILayout.IntField("_Tire: ", quest.PropOtherTire);
        quest.InfoText = 
            EditorGUILayout.TextArea(quest.InfoText);
        if (GUI.changed)
            EditorUtility.SetDirty(target);
    }
}
