﻿using UnityEngine;
using UnityEngine.EventSystems;
using System.Collections;

public class QuestInfoImage : MonoBehaviour, IPointerEnterHandler, IPointerExitHandler
{

    public Quest quest;

    #region IPointerExitHandler implementation

    public void OnPointerExit(PointerEventData eventData)
    {
        QuestInfoBox.Instance.Hide();
    }

    #endregion

    #region IPointerEnterHandler implementation

    public void OnPointerEnter(PointerEventData eventData)
    {
        QuestInfoBox.Instance.ShowQuest(quest);
    }

    #endregion

}
