﻿using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;
using System.Collections;

public class QuestView : MonoBehaviour, IPointerClickHandler
{
    #region IPointerClickHandler implementation

    public void OnPointerClick(PointerEventData eventData)
    {
        this.GetComponent<Quest>().Executing = ActionPanelConf.Instance.ForWhom;
        this.GetComponent<Quest>().ExecuteQuest(ActionPanelConf.Instance.ForWhom);

        ActionPanelConf.Instance.Hide();
    }

    #endregion

    #region FIelds

    public Quest MyQuest;
    public Text UIText;
    public GameObject tickImage;
    #endregion

    #region MonoMethods

    void Start()
    {
        UIText.text = MyQuest.Name;
    }


    void Update() {
    	if(this.MyQuest.Done && this.MyQuest.Todo) {
    		tickImage.GetComponent<Image>().enabled = true;
    	}
    }
    #endregion
}
